// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.


#include "HandleT.h"
#define DEBUG_OFF
#include "debug.h"

int DummyT::_TypeID = 14;

//DummyT::DummyT()
//{
//	DEBUG_ENTER_FUNCTION( "DummyT::DummyT" );

	//_ObjectTypeID = _TypeID;

//	DEBUG_EXIT_FUNCTION;

//} // DummyT::DummyT()


int
DummyT::objectTypeID( void ) const
{
	DEBUG_ENTER_FUNCTION( "DummyT::objectTypeID" );
	DEBUG_EXIT_FUNCTION;

	return _ObjectTypeID;

} // int DummyT::objectTypeID()


int
DummyT::typeID( void )
{
	DEBUG_ENTER_FUNCTION( "DummyT::typeID" );
	DEBUG_EXIT_FUNCTION;

	return _TypeID;

} // int DummyT::typeID()



